; Configuration file for Duet WiFi (firmware version 2.00)
; executed by the firmware on start-up
;
; generated by vormvrij 23/08/2020 (standard dual -maximum 3- extruder serial configuration)

; General preferences
G90                                                 ; send absolute coordinates...
M83                                                 ; ...but relative extruder moves
M550 PLUTUM 5                                       ; set printer name

; Network
M551 P"password"                                    ; set password
M552 S2                                             ; enable wifi access point
;M552 S1                                            ; enable wifi network
M586 P0 S1                                          ; enable HTTP
M586 P1 S0                                          ; disable FTP
M586 P2 S0                                          ; disable Telnet

; Drives
; ----------------------Drives definition----------------------------------------------
; ----Drives driver direction, enable polarity and step pulse timing----------------------------------------------
;------------------Y MOTOR EXPANSION BOARD-------------------------------------------------------------
M569 P5 R1 S1 T2.5:2.5:5:0		  ; Drive 5 goes forwards S1/ Y motor on expansion E2 	
;------------------Y MOTOR EXPANSION BOARD-------------------------------------------------------------
M569 P0 S0                                          ; physical drive 0 goes forwards
M569 P1 S1                                          ; physical drive 1 goes backward
M569 P2 S0                                         	; physical drive 2 goes forwards - tool 3
M569 P3 S0                                         	; physical drive 3 goes forwards - tool 1
M569 P4 S1                                         	; physical drive 4 goes backward - tool 2
M584 X0 Y5 Z2 E3:4:1                                ; set drive mapping 28-02-20 M584 X0 Y1 Z2 E3:4 

M350 X16 Y16 Z16 E16:16:16 I1                       ; configure microstepping with interpolation

M92 X80.00 Y66.67 Z1920.00 E836.00:836.00           ; set steps per mm
M566 X300.00 Y300.00 Z50.00 E120.00:120.00:120.00           	; set maximum instantaneous speed changes (mm/min)
M203 X90000.00 Y90000.00 Z1300.00 E2400.00:2400.00:2400.00  	; set maximum speeds (mm/min)
M201 X200.00 Y200.00 Z20.00 E5000.00:5000.00:5000.00        	; set accelerations (mm/s^2)
M906 X900 Y800 Z1500 E900:900:900 I10                        	; set motor currents (mA) and motor idle factor in per cent
M84 S600                                            ; Set idle timeout

; Pressure advance
M572 D0:1 S0.01:0.01 								; set extruder 0, 1 pressure advance to 0.05 second

; Axis Limits
M208 X0 Y0 Z0 S1                                    ; set axis minima for standard lutum 5
M208 X400 Y460 Z510 S0                              ; set axis maxima for standard lutum 5
;M208 X300 Y460 Z510 S0                             	; set axis maxima for custom 4 extruder lutum5

; emergency endstop Z trigger
M950 J1 C"zstop"									; set Z endstop for emergency trigger
M581 P1 T0 S1 R0							   		; invoke Trigger 0 (emergency stop as if M112) 

; Endstops
M574 X1 S1 P"xstop"   								; X min active high endstop switch
M574 Y1 S1 P"ystop"   								; Y min active high endstop switch
;M574 Z1 S1 P"zstop"   								; Z min active high endstop switch

; Z-Probe
M574 Z1 S2 										    ; Set Z endstops controlled by probe *** comment if you need the Z-switch as endstop ***
M558 P1 C"zprobe.in+zprobe.mod" H5 F1000 T6000      ; set Z probe type to unmodulated and the dive height + speeds
;G31 P500 X0 Y0 Z0					   	           	; Set Z probe trigger value, offset and trigger height type 1
G31 P520 X0 Y0 Z0					   	           	; Set Z probe trigger value, offset and trigger height type 2
;M557 X5:400 Y5:450 S50                              ; define mesh grid
M557 X5:170 Y5:210 S40                              ; define mesh grid small
M376 H20											; Compensation Taper levels out at 20mm

; Heaters
M950 H1 C"e0heat" T1								; map H1 driver 0 temp reading to tool 1
M950 H2 C"e1heat" T2								; map H2 driver 1 temp reading to tool 2
;M950 H3 C"bedheat"T3								; map H3 bedtemp reading to tool 3

M308 S1 Y"drivers"									; set temp monitor for tool 1
M308 S2 Y"drivers"									; set temp monitor for tool 2
;M308 S3 Y"drivers"									; set temp monitor for tool 3
M140 H-1                                           	; disable heated bed

; Fans

; Tools (for serial -maximum 3 extruder- configuration)
M563 P0 D0 H1										; tool 1 uses extruder drive 0
G10 P0 S0 R0 X0 Y0 									; set tool 1 
M563 P1 D1 H2										; tool 2 uses extruder drive 1 
G10 P1 S0 R0 X0 Y0 									; set tool 2
;M563 P2 D2 H3										; tool 3 uses extruder drive 2 
;G10 P2 S0 R0 X0 Y0 								; set tool 3
M302 P1 											; allow cold extrusion

; Tools ( for parallel extruder configuration)
;M563 P0 D0:1 H1									; tool 1 uses extruder drive 0 + 1 + 2
;M567 P0 E0.5:0.5									; mix ratio for extruders
;G10 P0 S0 R0 X0 Y0									; use tool 1 for all tools
;M302 P1 											; Allow cold extrusion

; PANEL due comm
M575 P1 B57600 S1						; activate chanel and baudrate paneldue

; Miscellaneous
M911 S10 R11 P"M913 X0 Y0 G91 M83 G1 Z3 E-5 F1000" ; set voltage thresholds and actions to run on power loss
T0													; select tool 1 / drive 0 as default

